<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:27:11 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Class org.eclipse.papyrus.designer.transformation.core.transformations.LazyCopier (org.eclipse.papyrus.designer.transformation.core 0.7.5-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.eclipse.papyrus.designer.transformation.core.transformations.LazyCopier (org.eclipse.papyrus.designer.transformation.core 0.7.5-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html" title="class in org.eclipse.papyrus.designer.transformation.core.transformations">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/transformation/core/transformations/class-use/LazyCopier.html" target="_top">Frames</a></li>
<li><a href="LazyCopier.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class org.eclipse.papyrus.designer.transformation.core.transformations.LazyCopier" class="title">Uses of Class<br>org.eclipse.papyrus.designer.transformation.core.transformations.LazyCopier</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html" title="class in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.designer.transformation.core.copylisteners">org.eclipse.papyrus.designer.transformation.core.copylisteners</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.designer.transformation.core.templates">org.eclipse.papyrus.designer.transformation.core.templates</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.designer.transformation.core.transformations">org.eclipse.papyrus.designer.transformation.core.transformations</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.designer.transformation.core.transformations.filters">org.eclipse.papyrus.designer.transformation.core.transformations.filters</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.eclipse.papyrus.designer.transformation.core.copylisteners">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html" title="class in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a> in <a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/copylisteners/package-summary.html">org.eclipse.papyrus.designer.transformation.core.copylisteners</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/copylisteners/package-summary.html">org.eclipse.papyrus.designer.transformation.core.copylisteners</a> with parameters of type <a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html" title="class in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">PostCopyListener.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/copylisteners/PostCopyListener.html#postCopyEObject-org.eclipse.papyrus.designer.transformation.core.transformations.LazyCopier-org.eclipse.emf.ecore.EObject-">postCopyEObject</a></span>(<a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html" title="class in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a>&nbsp;copy,
               org.eclipse.emf.ecore.EObject&nbsp;targetEObj)</code>
<div class="block">Is called for each EObject after is has been copied.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EObject</code></td>
<td class="colLast"><span class="typeNameLabel">PreCopyListener.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/copylisteners/PreCopyListener.html#preCopyEObject-org.eclipse.papyrus.designer.transformation.core.transformations.LazyCopier-org.eclipse.emf.ecore.EObject-">preCopyEObject</a></span>(<a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html" title="class in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a>&nbsp;copier,
              org.eclipse.emf.ecore.EObject&nbsp;sourceEObj)</code>
<div class="block">Is called for each EObject that is copied.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.designer.transformation.core.templates">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html" title="class in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a> in <a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/templates/package-summary.html">org.eclipse.papyrus.designer.transformation.core.templates</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/templates/package-summary.html">org.eclipse.papyrus.designer.transformation.core.templates</a> declared as <a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html" title="class in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html" title="class in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a></code></td>
<td class="colLast"><span class="typeNameLabel">TemplateInstantiation.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/templates/TemplateInstantiation.html#copier">copier</a></span></code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/templates/package-summary.html">org.eclipse.papyrus.designer.transformation.core.templates</a> with parameters of type <a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html" title="class in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><span class="typeNameLabel">TemplateUtils.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/templates/TemplateUtils.html#adaptActualsToTargetModel-org.eclipse.papyrus.designer.transformation.core.transformations.LazyCopier-org.eclipse.uml2.uml.TemplateBinding-">adaptActualsToTargetModel</a></span>(<a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html" title="class in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a>&nbsp;copy,
                         org.eclipse.uml2.uml.TemplateBinding&nbsp;binding)</code>
<div class="block">Adapt the actuals within the binding (which correspond either to an
 element of the source model or an imported element) to the target model.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected org.eclipse.emf.ecore.EObject</code></td>
<td class="colLast"><span class="typeNameLabel">PreTemplateInstantiationListener.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/templates/PreTemplateInstantiationListener.html#checkEObject-org.eclipse.papyrus.designer.transformation.core.transformations.LazyCopier-org.eclipse.emf.ecore.EObject-">checkEObject</a></span>(<a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html" title="class in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a>&nbsp;copier,
            org.eclipse.emf.ecore.EObject&nbsp;sourceEObj)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">PreTemplateInstantiationListener.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/templates/PreTemplateInstantiationListener.html#init-org.eclipse.papyrus.designer.transformation.core.transformations.LazyCopier-org.eclipse.uml2.uml.TemplateBinding-">init</a></span>(<a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html" title="class in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a>&nbsp;copy,
    org.eclipse.uml2.uml.TemplateBinding&nbsp;binding)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">PostTemplateInstantiationListener.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/templates/PostTemplateInstantiationListener.html#init-org.eclipse.papyrus.designer.transformation.core.transformations.LazyCopier-org.eclipse.uml2.uml.TemplateBinding-">init</a></span>(<a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html" title="class in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a>&nbsp;copy,
    org.eclipse.uml2.uml.TemplateBinding&nbsp;binding)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">PostTemplateInstantiationListener.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/templates/PostTemplateInstantiationListener.html#postCopyEObject-org.eclipse.papyrus.designer.transformation.core.transformations.LazyCopier-org.eclipse.emf.ecore.EObject-">postCopyEObject</a></span>(<a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html" title="class in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a>&nbsp;copier,
               org.eclipse.emf.ecore.EObject&nbsp;targetEObj)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EObject</code></td>
<td class="colLast"><span class="typeNameLabel">PreTemplateInstantiationListener.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/templates/PreTemplateInstantiationListener.html#preCopyEObject-org.eclipse.papyrus.designer.transformation.core.transformations.LazyCopier-org.eclipse.emf.ecore.EObject-">preCopyEObject</a></span>(<a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html" title="class in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a>&nbsp;copier,
              org.eclipse.emf.ecore.EObject&nbsp;sourceEObj)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/templates/package-summary.html">org.eclipse.papyrus.designer.transformation.core.templates</a> with parameters of type <a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html" title="class in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/templates/TemplateInstantiation.html#TemplateInstantiation-org.eclipse.papyrus.designer.transformation.core.transformations.LazyCopier-org.eclipse.uml2.uml.TemplateBinding-">TemplateInstantiation</a></span>(<a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html" title="class in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a>&nbsp;copier,
                     org.eclipse.uml2.uml.TemplateBinding&nbsp;binding)</code>
<div class="block">Create a new template instantiation from a given copier and binding</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.designer.transformation.core.transformations">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html" title="class in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a> in <a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/package-summary.html">org.eclipse.papyrus.designer.transformation.core.transformations</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/package-summary.html">org.eclipse.papyrus.designer.transformation.core.transformations</a> declared as <a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html" title="class in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html" title="class in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a></code></td>
<td class="colLast"><span class="typeNameLabel">TransformationContext.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/TransformationContext.html#copier">copier</a></span></code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/package-summary.html">org.eclipse.papyrus.designer.transformation.core.transformations</a> with parameters of type <a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html" title="class in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">AllocTransfo.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/AllocTransfo.html#transformAllocs-org.eclipse.papyrus.designer.transformation.core.transformations.LazyCopier-org.eclipse.uml2.uml.Class-">transformAllocs</a></span>(<a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html" title="class in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a>&nbsp;copy,
               org.eclipse.uml2.uml.Class&nbsp;composite)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.designer.transformation.core.transformations.filters">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html" title="class in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a> in <a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/filters/package-summary.html">org.eclipse.papyrus.designer.transformation.core.transformations.filters</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/filters/package-summary.html">org.eclipse.papyrus.designer.transformation.core.transformations.filters</a> with parameters of type <a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html" title="class in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EObject</code></td>
<td class="colLast"><span class="typeNameLabel">FilterTemplateBinding.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/filters/FilterTemplateBinding.html#preCopyEObject-org.eclipse.papyrus.designer.transformation.core.transformations.LazyCopier-org.eclipse.emf.ecore.EObject-">preCopyEObject</a></span>(<a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html" title="class in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a>&nbsp;copy,
              org.eclipse.emf.ecore.EObject&nbsp;sourceEObj)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EObject</code></td>
<td class="colLast"><span class="typeNameLabel">FilterStateMachines.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/filters/FilterStateMachines.html#preCopyEObject-org.eclipse.papyrus.designer.transformation.core.transformations.LazyCopier-org.eclipse.emf.ecore.EObject-">preCopyEObject</a></span>(<a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html" title="class in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a>&nbsp;copier,
              org.eclipse.emf.ecore.EObject&nbsp;sourceEObj)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EObject</code></td>
<td class="colLast"><span class="typeNameLabel">FilterSignatures.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/filters/FilterSignatures.html#preCopyEObject-org.eclipse.papyrus.designer.transformation.core.transformations.LazyCopier-org.eclipse.emf.ecore.EObject-">preCopyEObject</a></span>(<a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html" title="class in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a>&nbsp;copier,
              org.eclipse.emf.ecore.EObject&nbsp;sourceEObj)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EObject</code></td>
<td class="colLast"><span class="typeNameLabel">FilterKeepM2MTrafo.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/filters/FilterKeepM2MTrafo.html#preCopyEObject-org.eclipse.papyrus.designer.transformation.core.transformations.LazyCopier-org.eclipse.emf.ecore.EObject-">preCopyEObject</a></span>(<a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html" title="class in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a>&nbsp;copier,
              org.eclipse.emf.ecore.EObject&nbsp;sourceEObj)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EObject</code></td>
<td class="colLast"><span class="typeNameLabel">FilterKeepLanguage.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/filters/FilterKeepLanguage.html#preCopyEObject-org.eclipse.papyrus.designer.transformation.core.transformations.LazyCopier-org.eclipse.emf.ecore.EObject-">preCopyEObject</a></span>(<a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html" title="class in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a>&nbsp;copy,
              org.eclipse.emf.ecore.EObject&nbsp;sourceEObj)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html" title="class in org.eclipse.papyrus.designer.transformation.core.transformations">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/transformation/core/transformations/class-use/LazyCopier.html" target="_top">Frames</a></li>
<li><a href="LazyCopier.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
